apiVersion: uniffle.apache.org/v1alpha1
kind: RemoteShuffleService
metadata:
  annotations:
    meta.helm.sh/release-name: hopsworks-release
  finalizers:
  - WaitingShuffleServer
  name: rss-hops
  namespace: hopsworks
spec:
  configMapName: rss-configuration
  coordinator:
    autoscaler:
      enable: false
      hpaSpec:
        maxReplicas: 0
        minReplicas: 1
    configDir: /data/rssadmin/rss/conf
    count: 1
    excludeNodesFilePath: /config/exclude_nodes
    hostNetwork: false
    httpNodePort:
    - 30002
    - 30012
    httpPort: 19996
    image: registry-proxy.supermicro.local:5001/hopsworks/rss:0.10.0
    labels:
      role: rss-hops-coordinator
    replicas: 1
    resources:
      limits:
        cpu: 500m
        memory: 1300Mi
      requests:
        cpu: 500m
        memory: 1300Mi
    rpcNodePort:
    - 30001
    - 30011
    rpcPort: 19997
    securityContext:
      fsGroup: 1000
      runAsGroup: 1000
      runAsNonRoot: true
      runAsUser: 1000
    sync: true
    volumeMounts:
    - mountPath: /tmp
      name: rss-dynamic-client-configuration
    volumes:
    - configMap:
        name: rss-dynamic-client-configuration
      name: rss-dynamic-client-configuration
    xmxSize: 1G
  shuffleServer:
    autoscaler:
      enable: false
      hpaSpec:
        maxReplicas: 0
        minReplicas: 1
    configDir: /data/rssadmin/rss/conf
    hostNetwork: false
    httpPort: 19998
    image: registry-proxy.supermicro.local:5001/hopsworks/rss:0.10.0
    replicas: 1
    resources:
      limits:
        cpu: "1"
        memory: 3900Mi
      requests:
        cpu: 200m
        memory: 3900Mi
    rpcPort: 19999
    securityContext:
      fsGroup: 1000
      runAsGroup: 1000
      runAsNonRoot: true
      runAsUser: 1000
    sync: false
    upgradeStrategy:
      type: FullUpgrade
    volumeClaimTemplates:
    - spec:
        accessModes:
        - ReadWriteOnce
        resources:
          requests:
            storage: 10Gi
      volumeNameTemplate: rss-storage
    volumeMounts:
    - mountPath: /data1
      name: rss-storage
    xmxSize: 3G
